Skip to main content
GET
/
v2
/
paystubs
List all paystubs
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/paystubs \
  --header 'Authorization: Basic <encoded-value>'
{
  "results": [
    {
      "id": "0187dc99-63be-bc96-51bf-af6b51d43687",
      "account": "0187c66e-e7e5-811c-b006-2232f00f426a",
      "payroll_document": "0186eb89-2e52-b3c5-ac6d-05e7debb2aff",
      "deduction_list": [
        {
          "amount": "38.10",
          "name": "401K",
          "tax_classification": "pre_tax",
          "amount_ytd": "139.70"
        },
        {
          "amount": "25.40",
          "name": "Garnishment",
          "tax_classification": "post_tax",
          "amount_ytd": "76.20"
        },
        {
          "amount": "25.40",
          "name": "Garnishment",
          "tax_classification": "post_tax",
          "amount_ytd": "101.60"
        }
      ],
      "filing_status": [
        {
          "type": "federal",
          "location": null,
          "status": "married filing separately"
        },
        {
          "type": "state",
          "location": "NY",
          "status": "married filing separately"
        }
      ],
      "tax_list": [
        {
          "amount": "88.91",
          "name": "Federal Withholding",
          "type": "federal",
          "amount_ytd": "850.99"
        },
        {
          "amount": "139.72",
          "name": "Social Security Tax",
          "type": "fica",
          "amount_ytd": "381.04"
        }
      ],
      "status": "completed",
      "paystub_date": "2023-03-12T00:00:00Z",
      "paystub_period": {
        "start_date": "2023-02-28T00:00:00Z",
        "end_date": "2023-03-07T00:00:00Z"
      },
      "currency": "USD",
      "gross_pay": "1607.63",
      "deductions": "88.90",
      "taxes": "228.63",
      "net_pay": "1290.10",
      "reimbursements": "0.00",
      "hours": "49.60",
      "fees": null,
      "net_pay_ytd": "12714.18",
      "gross_pay_ytd": "15730.10",
      "employer": "Whole Goods",
      "employment": "0186a27d-e5c6-735a-a359-6315b34d544c",
      "employer_address": {
        "city": "New York",
        "line1": "852 North W St",
        "line2": "Apt 221",
        "state": "NY",
        "country": "US",
        "postal_code": "10014"
      },
      "created_at": "2023-03-13T19:53:57.122Z",
      "updated_at": "2023-03-13T19:53:57.122Z",
      "destinations": [
        {
          "reference": "CHECKING *********2201",
          "amount": "1290.10",
          "method": "direct deposit",
          "ach_deposit_account": {
            "bank_name": "NW Regional",
            "routing_number": null,
            "account_number": "*********2201"
          },
          "card": null
        }
      ],
      "hours_ytd": "422.00",
      "deductions_ytd": "533.40",
      "taxes_ytd": "2502.17",
      "gross_pay_list": [
        {
          "name": "Regular",
          "type": "base",
          "start_date": "2023-02-28",
          "end_date": "2023-03-07",
          "rate": "25.6088",
          "hours": "49.5977",
          "amount": "1270.14",
          "hours_ytd": "422.0000",
          "amount_ytd": "13971.54"
        },
        {
          "name": "Commission",
          "type": "commission",
          "start_date": "2023-03-04",
          "end_date": "2023-03-04",
          "rate": null,
          "hours": null,
          "amount": "337.49",
          "hours_ytd": null,
          "amount_ytd": "1758.56"
        }
      ],
      "gross_pay_list_totals": {
        "base": {
          "amount": "1270.14",
          "amount_ytd": "13971.54",
          "hours": "49.5977",
          "hours_ytd": "422.0000",
          "rate_implied": "25.6100",
          "rate_implied_ytd": "33.1100"
        },
        "overtime": null,
        "commission": {
          "amount": "337.49",
          "amount_ytd": "1758.56",
          "hours": null,
          "hours_ytd": null,
          "rate_implied": null,
          "rate_implied_ytd": null
        },
        "bonus": null,
        "other": null
      },
      "metadata": null
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

account
string<uuid>

Filter by account ID.

user
string<uuid>

Filter by user ID.

employment
string<uuid>

Filter by employment ID.

from_start_date
string<date-time>

Filter for paystubs with a paystub_date on or after this timestamp (ISO 8601).

to_start_date
string<date-time>

Filter for paystubs with a paystub_date on or before this timestamp (ISO 8601).

limit
integer

Number of paystubs objects returned per page. Default: 10. Maximum: 200.

cursor
string

The URL returned in next or previous used to retrieve another page of results.

Response

200 - application/json
results
object[]
required
next
string<uri> | null

URL for the next page of results, if available.

previous
string<uri> | null

URL for the previous page of results, if available.